#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

typedef long long ll;
typedef pair<ll,ll> pll;
const ll DIM = 1e5+7;

ll n,a[DIM],q;
string s;


int main()
{
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);


    cout << "NO" << endl;

    return 0;
}

